// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef SILECS_DIAG_ITEM_H
#define SILECS_DIAG_ITEM_H

#include <QTreeWidgetItem>

class QDomDocument;
class Item : public QTreeWidgetItem {
//  Q_PROPERTY( QString Name READ name WRITE setName );
 private:
        void *linkedObject;
 public:
        Item(void* linkedObject);
        Item();

        // set the pointer to the related object
        void setLinkedObject(void* linkedObject);

        // return the pointer to the related object
        void* getLinkedObject();
};

#endif // SILECS_DIAG_ITEM_H
