// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <silecs-diagnostic/logindialog.h>
#include <silecs-diagnostic/generated/ui_logindialog.h>


LoginDialog::LoginDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::LoginDialog)
{
    ui->setupUi(this);
}

LoginDialog::~LoginDialog()
{
    delete ui;
}

//set and get username
//void LoginDialog::setUsername(std::string username)
//{
//    this->username = username;
//}

std::string LoginDialog::getUsername()
{
    return this->username;
}

//set and get password
//void LoginDialog::setPassword(std::string password)
//{
//    this->password = password;
//}

std::string LoginDialog::getPassword()
{
    return this->password;
}

void LoginDialog::on_buttonBox_accepted()
{
    this->username = ui->usernameLineEdit->text().toStdString();
    this->password = ui->passwordLineEdit->text().toStdString();
}

